收藏
回答

调试基础库选择的版本和实际打印出来的版本号不一致

问题模块 框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
API和组件 小程序 Bug wx.getSystemInfoSync 工具 6.4.10 1.6.4



如题,wxversion: wx.getSystemInfoSync().SDKVersion

最后一次编辑于  2018-06-01
回答关注问题邀请回答
收藏

1 个回答

  • Albert Einstein [官]
    Albert Einstein [官]
    2018-06-01

    在控制台请尝试使用 wx.version 打印一下呢?

    2018-06-01
    赞同
    回复 4
    • egg🍳
      egg🍳
      2018-06-05

      wx.version 正常, 是否可以 在处理兼容性问题时 代替  wx.getSystemInfoSync 获取基础库版本号呢?

      2018-06-05
      回复
    • egg🍳
      egg🍳
      2018-06-05

      另外 component 在文档中 要求最低 1.6.3 的基础库,但在 开发者工具 中 1.6.6以上才支持。应选用1.6.6作为判断标准码?

      2018-06-05
      回复
    • Albert Einstein [官]
      Albert Einstein [官]
      2018-06-05回复egg🍳

      这个应该是 1.6.6 的一个 bug,可选择更高的基础库。

      2018-06-05
      回复
    • egg🍳
      egg🍳
      2018-06-05回复Albert Einstein [官]

      好的,Thanks

      2018-06-05
      回复